Payment Transaction Detail Report
Introduction
The Payment Transaction Detail Report provides a list of payment related transactions that have taken place within the specified time period.
GET /api/pp/reports/payments/transactions/details
Request Parameters
| Field | Description | Required | Format | Max Len |
|---|---|---|---|---|
| start_date | Beginning date | Yes | YYYY-MM-DD | 10 |
| end_date | Ending date | No | YYYY-MM-DD | 10 |
Response Parameters
| Field | Description | Format | Max Len |
|---|---|---|---|
| id | Unique ID for this payment | UUID | 36 |
| method | Payment method | See below | 10 |
| action | Payment action | See below | 10 |
| amount | US Dollar amount of payment | 9999.99 | 12 |
| results | Result of transaction | See below | 10 |
| timestamp | Date and time the transaction was made | YYYY-MM-DDThh:mm:ssZ | 25 |
| tracking_id | Customer provided value for tracking payment | 50 | |
| original_id | Unique ID of original transaction if this is a credit or void. Otherwise it will be the same as the ID. | UUID | 36 |
Payment Method Values
| Value | Description |
|---|---|
| CARD | Credit card payment |
| ACH | ACH account payment |
Payment Action Values
| Value | Description |
|---|---|
| AUTHORIZE | A payment authorization |
| VOID | A void of a previous payment |
| CREDIT | A credit (refund) of a previous payment |
| REJECT | A reject of a previous payment (ACH only) |
Payment Results Values
| Value | Description |
|---|---|
| APPROVED | The payment was approved |
| DECLINED | The payment was declined |
| REJECTED | The payment was approved, but later rejected (ACH only) |
| VOIDED | The payment was approved, but later voided |
| FAILED | The payment could not be completed |
Example
GET /api/pp/reports/payments/transactions/details?start_date=2013-01-01&end_date=2024-01-31
Response
[
{
"id" : "d3fcfa32-7822-4d50-87ae-60a35760214e",
"method" : "CARD",
"action" : "AUTHORIZE",
"amount" : "1000.00",
"results" : "APPROVED",
"timestamp" : "2013-01-31T16:00:00Z",
"tracking_id" : "PM1234-009",
"original_id" : "d3fcfa32-7822-4d50-87ae-60a35760214e"
},
{
"id" : "a4cf94b9-29f6-4d74-b36b-0572fb21a6d3",
"method" : "ACH",
"action" : "AUTHORIZE",
"amount" : "1000.00",
"results" : "APPROVED",
"timestamp" : "2013-01-31T16:10:00Z",
"tracking_id" : "PM1234-010",
"original_id" : "a4cf94b9-29f6-4d74-b36b-0572fb21a6d3"
},
{
"id" : "911fe229-cad0-4dea-bf2e-1cff8ca8c533",
"method" : "CARD",
"action" : "AUTHORIZE",
"amount" : "50.00",
"results" : "DECLINED",
"timestamp" : "2013-01-31T16:15:00Z",
"tracking_id" : "PM1234-112",
"original_id" : "911fe229-cad0-4dea-bf2e-1cff8ca8c533"
},
{
"id" : "c267dc2f-4eb6-496b-9843-5636a317548b",
"method" : "CARD",
"action" : "AUTHORIZE",
"amount" : "50.00",
"results" : "VOIDED",
"timestamp" : "2013-01-31T16:20:00Z",
"tracking_id" : "PM1234-119",
"original_id" : "c267dc2f-4eb6-496b-9843-5636a317548b"
},
{
"id" : "5e676ca2-cbf7-42a7-98c1-bc58b131df0a",
"method" : "CARD",
"action" : "VOID",
"amount" : "-50.00",
"results" : "APPROVED",
"timestamp" : "2013-01-31T16:22:00Z",
"tracking_id" : "PM1234-119",
"original_id" : "c267dc2f-4eb6-496b-9843-5636a317548b"
},
{
"id" : "a7180ffa-ba5d-46b8-96a9-2ef3dda99b89",
"method" : "ACH",
"action" : "AUTHORIZE",
"amount" : "800.00",
"results" : "REJECTED",
"timestamp" : "2013-01-31T16:30:00Z",
"tracking_id" : "PM1234-210",
"original_id" : "a7180ffa-ba5d-46b8-96a9-2ef3dda99b89"
},
{
"id" : "60761401-f057-45ed-b074-1aea48967053",
"method" : "ACH",
"action" : "REJECT",
"amount" : "-800.00",
"results" : "APPROVED",
"timestamp" : "2013-02-04T00:00:00Z",
"tracking_id" : "PM1234-210",
"original_id" : "a7180ffa-ba5d-46b8-96a9-2ef3dda99b89"
}
]